Programmabeheer opent niet meer.

Dutch Forum

Moderators: Moem, xenopeek

Post Reply
Frisober
Level 1
Level 1
Posts: 2
Joined: Fri Nov 01, 2019 8:30 am

Programmabeheer opent niet meer.

Post by Frisober » Sat Nov 09, 2019 10:44 am

ik ben nog nieuw (pas een paar dagen) op het gebied van Mint (19 Cinnamon) en heb gepoogd de Signal app via de aanwijzingen van Signal via de Terminal te installeren. Dat werkte niet en toen zag ik dat iemand aanraadde het via programmabeheer te doen die weg geprobeerd maar programmabeheer wil niet meer openen. Wat moet ik doen om dat weer mogelijk te maken. Ik heb de aangedagen oplossingen die er over een soortgelijk probleem op dit forum waren al toegepast maar dat lost het niet op.
In de terminal krijg ik dan na mintinstall:

Code: Select all

MintInstall: Detected system architecture: 'x86_64'
Installer: User pkgcache is most recent, using it.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 385, in _get_backend_component
    backend_component = self.backend_table[pkginfo]
KeyError: <mintcommon.installer.pkgInfo.AptPkgInfo object at 0x7efc7a367668>
During handling of the above exception, another exception occurred:

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 580, in do_activate
    self.on_installer_ready()
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 890, in on_installer_ready
    self.load_featured_on_landing()
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 959, in load_featured_on_landing
    tile = FeatureTile(pkginfo, self.installer, background, text, text_shadow, stroke)
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 311, in __init__
    label_name.set_label(self.installer.get_display_name(pkginfo))
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 411, in get_display_name
    comp = self._get_backend_component(pkginfo)
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 390, in _get_backend_component
    backend_component = _apt.search_for_pkginfo_apt_pkg(pkginfo)
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 127, in search_for_pkginfo_apt_pkg
    apt_cache = get_apt_cache()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 40, in get_apt_cache
    _apt_cache = apt.Cache()
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 164, in __init__
    self.open(progress)
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 219, in open
    self._cache = apt_pkg.Cache(progress)
apt_pkg.Error: E:Type 'sudo' op regel 1 in bronlijst /etc/apt/sources.list.d/signal-xenial.list is onbekend, E:De lijst van bronnen kon niet gelezen worden.
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 145, in apport_excepthook
    os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0o640), 'wb') as f:
FileNotFoundError: [Errno 2] Bestand of map bestaat niet: '/var/crash/_usr_lib_linuxmint_mintinstall_mintinstall.py.1000.crash'
Original exception was:

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 385, in _get_backend_component
    backend_component = self.backend_table[pkginfo]
KeyError: <mintcommon.installer.pkgInfo.AptPkgInfo object at 0x7efc7a367668>

During handling of the above exception, another exception occurred:

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 580, in do_activate
    self.on_installer_ready()
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 890, in on_installer_ready
    self.load_featured_on_landing()
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 959, in load_featured_on_landing
    tile = FeatureTile(pkginfo, self.installer, background, text, text_shadow, stroke)
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 311, in __init__
    label_name.set_label(self.installer.get_display_name(pkginfo))
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 411, in get_display_name
    comp = self._get_backend_component(pkginfo)
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 390, in _get_backend_component
    backend_component = _apt.search_for_pkginfo_apt_pkg(pkginfo)
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 127, in search_for_pkginfo_apt_pkg
    apt_cache = get_apt_cache()
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 40, in get_apt_cache
    _apt_cache = apt.Cache()
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 164, in __init__
    self.open(progress)
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 219, in open
    self._cache = apt_pkg.Cache(progress)
apt_pkg.Error: E:Type 'sudo' op regel 1 in bronlijst /etc/apt/sources.list.d/signal-xenial.list is onbekend, E:De lijst van bronnen kon niet gelezen worden.

** (mintinstall.py:2380): WARNING **: 15:15:10.267: Found icon of unknown type, skipping it: unknown
Daarna:

Code: Select all

sudo rm -v /var/lib/flatpak/appstream/flathub/x86_64/active/appstream.xml.gz
[sudo] wachtwoord voor friso:     
rm: kan '/var/lib/flatpak/appstream/flathub/x86_64/active/appstream.xml.gz' niet verwijderen: Bestand of map bestaat niet
Wat nu te doen?? Ik hoop dat ik het door mijn gepruts niet verder in de war heb geschopt. Graag advies.

User avatar
Pjotr
Level 21
Level 21
Posts: 13734
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: Programmabeheer opent niet meer.

Post by Pjotr » Sat Nov 09, 2019 11:26 am

Frisober wrote:
Sat Nov 09, 2019 10:44 am
ik ben nog nieuw (pas een paar dagen) op het gebied van Mint (19 Cinnamon) en heb gepoogd de Signal app via de aanwijzingen van Signal via de Terminal te installeren.
Dit is waarschijnlijk de boosdoener:

Code: Select all

apt_pkg.Error: E:Type 'sudo' op regel 1 in bronlijst /etc/apt/sources.list.d/signal-xenial.list is onbekend, E:De lijst van bronnen kon niet gelezen worden.
sudo in een bronnenlijst.... :shock:

Duvel die rotte signal-xenial list er eens uit:

Code: Select all

sudo rm -v  /etc/apt/sources.list.d/signal-xenial.list
Ververs daarna de bronnenlijstinformatie:

Code: Select all

sudo apt-get update
.... en probeer daarna opnieuw om Programmabeheer normaal te starten.
Tip: 10 things to do after installing Linux Mint 19.2 Tina
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

Frisober
Level 1
Level 1
Posts: 2
Joined: Fri Nov 01, 2019 8:30 am

Re: Programmabeheer opent niet meer.

Post by Frisober » Sat Nov 09, 2019 1:45 pm

U zeit geweldig! :D Het werkte als voorzien en dus kan ik weer verder.
Voordat ik zelf zover ben dat ik overzien kan welke stappen er bij zoiets gezet moeten worden gaat er nog wel wat water door de Rijn. :oops:
Dank!!

User avatar
Pjotr
Level 21
Level 21
Posts: 13734
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: Programmabeheer opent niet meer.

Post by Pjotr » Sat Nov 09, 2019 5:37 pm

Mooi zo! Misschien kan mijn (Nederlandstalige) webstek je helpen om wat sneller bekend te raken met Linux Mint:
https://makkelijkelinuxtips.blogspot.com
Tip: 10 things to do after installing Linux Mint 19.2 Tina
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

Post Reply

Return to “Nederlands (Dutch)”